# $Revision: 1.83 $, $Date: 2002/11/22 08:23:52 $
# NOTE:		Please keep in sync with aumix-gtk.
Summary:	curses based audio mixer
Summary(de):	Audio-Mixer auf curses-Basis
Summary(es):	Mezclador de audio basado en curses
Summary(fr):	Mixer audio bas sur curses
Summary(tr):	Metin ekranl ses kartrc
Summary(pl):	Mikser audio bazujcy na curses
Summary(pt_BR):	Mixador de udio baseado em curses
Summary(ru):	     curses
Summary(uk):	Ħ ͦ,   ¦æ curses
Name:		aumix
Version:	2.7
Release:	11
License:	GPL
Group:		Applications/Sound
Source0:	http://www.jpj.net/~trevor/aumix/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.desktop
Source4:	%{name}.png
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-x%{name}.patch
Patch2:		%{name}-ac250.patch
URL:		http://www.jpj.net/~trevor/aumix.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gpm-devel
BuildRequires:	gettext-devel
BuildRequires:	ncurses-devel >= 5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	aumix-gtk
Obsoletes:	aumix-X11
Conflicts:	aumix-gtk

%description
This program provides a tty-based, interactive method of controlling a
sound card's mixer. It lets you adjust the input levels from the CD,
microphone, and onboard synthesizers as well as the output volume.

%description -l de
Dieses Programm bietet eine interaktive Methode auf tty-Basis zur
Steuerung eines Soundkarten-Mixers. Sie knnen damit die Eingangspegel
der CD, des Mikrophons und von Synthesizer-Karten sowie auch die
Ausgabelautstrke regeln.

%description -l es
Este programa nos ofrece un mtodo interactivo basado en tty de
control de mezclas de tarjetas de sonido. Deja que se ajuste los
niveles de entrada del CD, micrfono, y sintetizadores, as como el
volumen de salida.

%description -l fr
Ce programme offre une mthode intaractive en mode texte pour
contrler le mixer des cartes son. Il permet d'ajuster les niveaux
d'entre du CD, du micro et des synthtiseurs de la carte, tout comme
le volume de sortie.

%description -l pl
Ten pakiet dostarcza bazujc na tty, interaktywn metod
kontrolowania miksera karty dwikowej. aumix pozwala zmienia poziom
sygnau nadchodzcego z CD, mikrofonu i syntetyzerw, a take poziom
sygnau wyjciowego.

%description -l pt_BR
Este programa oferece um mtodo interativo baseado em tty de controle
de mixagem de placas de som. Ele deixa voc ajustar os nveis de
entrada do CD, microfone, e sintetizadores assim como o volume de
sada.

%description -l tr
Bu program metin ekranda, etkileimli olarak ses kart mixer denetimi
yapmanz saglar. kt sesinin yansra, CD, mikrofon ve panel
zerindeki birletiriciden girdi seviyelerini ayarlamanza olanak
verir.

%description -l ru
  - ,    
 .        
CD, ,    ,    .

%description -l uk
  - ,   Ҧ ͦ
ϧ .  Ѥ ͦ  ȦΦ ҦΦ ̦ 
CD, ͦ, Ҧ  צ Ԧ,   Ȧ Ҧ.

%package OSS-preserve-settings
Summary:	Saves/restores mixer settings on system shutdown/startup
Summary(pl):	Zapisuje/odtwarza ustawienia przy zamkniciu/starcie systemu
Group:		Applications/Sound
Requires:	%{name} = %{version}
Prereq:		rc-scripts >= 0.2.0
Prereq:		/sbin/chkconfig
Obsoletes:	rhsound
Conflicts:	alsa-utils

%description OSS-preserve-settings
This package contains script, which will save settings of sound card's
mixer on system shutdown and restore them on system startup.

%description OSS-preserve-settings -l pl
Ten pakiet zawiera skrypt, ktry zapisuje ustawienia miksera karty
dwikowej przy zamkniciu systemu i odtwarza je po uruchomieniu
systemu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing acinclude.m4
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}

CPPFLAGS="-I/usr/include/ncurses" \
%configure \
	--with-ncurses \
	--without-gtk

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Multimedia,%{_pixmapsdir}} \
	$RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/aumix
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/aumix
install %{SOURCE3} $RPM_BUILD_ROOT%{_applnkdir}/Multimedia
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}

touch $RPM_BUILD_ROOT%{_sysconfdir}/aumixrc

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post OSS-preserve-settings
/sbin/chkconfig --add aumix
if [ ! -f /var/lock/subsys/aumix ]; then
	echo "Run \"/etc/rc.d/init.d/aumix start\" to initialize saving/restoring"
	echo "sound card mixer's settings on system shutdown/startup, and then"
	echo "setup sound volume."
fi

%preun OSS-preserve-settings
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/aumix ]; then
		/etc/rc.d/init.d/aumix stop
	fi
	/sbin/chkconfig --del aumix
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%config(noreplace,missingok) %verify(not size mtime md5) %{_sysconfdir}/aumixrc

%attr(755,root,root) %{_bindir}/aumix
%{_mandir}/man1/*
%{_datadir}/aumix

%{_pixmapsdir}/*.png
%{_applnkdir}/Multimedia/aumix.desktop

%files OSS-preserve-settings
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/aumix
%config(noreplace) %verify(not size mtime md5) /etc/sysconfig/aumix

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: aumix.spec,v $
Revision 1.83  2002/11/22 08:23:52  kloczek
- changes for make aumix only ncurses capable.

Revision 1.82  2002/11/21 16:06:48  ankry
- replaced xpm icon with a (based on it) png one
- rel. 11

Revision 1.81  2002/10/10 11:48:16  marcus
- use new %%doc

Revision 1.80  2002/10/09 13:14:17  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.79  2002/06/23 20:52:48  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.78  2002/06/10 19:20:47  mkochano
- aumix-gtk: Release 4.
- aumix: Release 10.
- They Confilcts: with each other. This is because they provide binary
  with same name (aumix) but with different functionality and in
  different location.

Revision 1.77  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.76  2002/04/25 15:49:53  arturs
fixed a small typo

Revision 1.75  2002/04/25 10:00:05  kloczek
- release 9,
- aumix-X11 added to Obsoletes,
- merge translations from Conectiva.

Revision 1.74  2002/04/25 06:07:16  marcus
- rel.6.

Revision 1.73  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.72  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.71  2002/01/18 02:12:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.70  2001/10/13 12:54:42  qboosh
- pass include path for ncurses in CPPFLAGS, not CFLAGS (fixes build)
- release 5

Revision 1.69  2001/09/24 09:51:23  qboosh
- OSS-preserve-settings subpackage Prereq: /sbin/chkconfig

Revision 1.68  2001/07/26 05:42:04  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.65  2001/07/18 03:42:42  kloczek
- spec adapterized.

Revision 1.64  2001/07/06 12:55:47  wiget
release 4; autoconf fixed

Revision 1.63  2001/06/28 08:11:48  kloczek
- release 3,
- on top %build remove aclocal.m4 which contain local copy gettext.m4 and
  gtk.m4.

Revision 1.62  2001/03/28 01:42:13  qboosh
- use rpm features (gzipping, %%debug, %%config), automake-related changes
- added sysconfig in OSS subpackage - save/init can be {dis,en}abled separately
- release 2

Revision 1.61  2001/02/01 16:27:32  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.60  2000/07/13 23:42:44  kloczek
- updated to 2.7.

Revision 1.59  2000/07/13 23:05:13  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.58  2000/07/13 20:36:21  baggins
- release 2

Revision 1.57  2000/07/06 05:23:53  kloczek
- removed outdated nogtk patch.

Revision 1.56  2000/06/27 21:04:39  kloczek
- updated to 2.6.1.

Revision 1.55  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.54  2000/06/09 07:22:47  kloczek
- added using %%{__make} macro.

Revision 1.53  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.52  2000/04/15 14:13:24  mkochano
- Builds without Gtk.

Revision 1.51  2000/04/14 05:12:41  kloczek
- "Requires: rc-scripts >= 0.2.0", "Obsoletes: rhsound" moved to
  OSS-preserve-settings subpackage.

Revision 1.50  2000/04/14 04:33:18  kloczek
- updated to 2.6,
- added "Requires: rc-scripts >= 0,.2.0",
- added "Obsoletes: rhsound",
- beter status target in init script (borowed from rhsound).

Revision 1.49  2000/04/12 21:29:08  mkochano
- Script for saving/restoring mixers' settings moved to separate package.

Revision 1.48  2000/04/10 20:15:26  mkochano
- Added init script for saving/restoring sound card mixer's settings on
  shutdown/startup.

Revision 1.47  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.46  2000/03/29 21:07:36  kloczek
- removed outdated pl.po patch.

Revision 1.45  2000/03/29 20:23:44  kloczek
- updated to 2.5.

Revision 1.44  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.43  2000/03/23 12:40:43  pius
- updated to 2.4

Revision 1.42  2000/03/09 10:41:49  pius
- updated to 2.2
- built with gtk+ interface

Revision 1.41  2000/02/10 13:39:13  pius
- one more BuildRequires rule

Revision 1.40  2000/02/04 00:54:45  pius
- updated to 2.1
- fixed pl translation
- modified aumix-home_etc.patch for use with $CONFIG_DIR variable

Revision 1.39  2000/01/17 01:41:35  pius
- updated to 2

Revision 1.38  1999/12/06 22:09:07  kloczek
- updated to 1.30,
- ua changed to uk (symbol ukrainian translation).

Revision 1.37  1999/11/28 13:42:50  pius
- updated to 1.28
- cosmetics

Revision 1.36  1999/11/27 18:58:06  zagrodzki
- typo

Revision 1.35  1999/11/27 16:37:37  zagrodzki
- now can use ~/etc/aumixrc instead of ~/.aumixrc

Revision 1.34  1999/11/24 18:10:07  pius
- updated to 1.27.4

Revision 1.33  1999/11/24 03:17:32  pius
- updated to 1.27.3

Revision 1.32  1999/11/20 13:57:42  pius
- updated to 1.27.2
- removed aumix-xaumix.patch (applied)

Revision 1.31  1999/11/17 21:18:35  pius
- updated to 1.27.1
- added new version of xaumix script
- moved xaumix to /usr/X11R6/bin
- added pixmaps and schems to %files
- added xaumix.desktop file

Revision 1.30  1999/11/16 17:58:21  kloczek
- release 2,
- build against ncurses 5.0.

Revision 1.29  1999/11/09 20:36:04  pius
- changed 'make install-strip' to 'make install'

Revision 1.28  1999/11/09 20:29:04  pius
- updated to 1.27

Revision 1.27  1999/11/05 16:47:32  kloczek
- updated to 1.26,
- updated de translation.

Revision 1.26  1999/11/01 16:41:56  pius
- updated to 1.25.1
- cosmetics

Revision 1.25  1999/10/31 18:01:52  pius
- updated to 1.25
- removed --without-alsa from configure options (ALSA hardware muting
  is disabled in sources)

Revision 1.24  1999/10/28 19:26:12  pius
- updated to 1.24
- added --without-alsa to configure options
- simplifications in %install

Revision 1.23  1999/09/05 14:36:53  kloczek
- added using %%configure macro,
- cosmetics.

Revision 1.22  1999/09/04 21:33:19  pius
- updated to 1.22.1

Revision 1.21  1999/07/20 12:48:05  wiget
- switch to rpm 3.0.2

Revision 1.20  1999/07/12 23:05:53  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Jun  4 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.19-1]
- added using %%find_lang macro.

* Tue Jun 1 1999 Piotr Czerwiski <pius@pld.org.pl>
  [1.19-1]
- updated to 1.19,
- added using DESTDIR,
- fixed passing make flags.

* Wed May  5 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.18.3-1]
- translations from distributed in tar ball spec,
- spec rewritten by Arkadiusz Mikiewicz <misiek@misiek.eu.org> and
  Piotr Czerwiski <pius@pld.org.pl>.
